package openoffice.org-hyphenation-en-us None [modified: /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to install/upgrade: trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation

Bug #192310 reported by tomarus on 2008-02-16
678
This bug affects 11 people
Affects Status Importance Assigned to Milestone
hyphen (Ubuntu)
High
Unassigned
openoffice.org-hyphenation (Ubuntu)
High
Chris Cheney

Bug Description

ran system update and package will not install or fix using apt-get in terminal.

ProblemType: Package
Architecture: i386
Date: Fri Feb 15 23:03:00 2008
Dependencies:

DistroRelease: Ubuntu 8.04
ErrorMessage: trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation
Package: openoffice.org-hyphenation-en-us None [modified: /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list]
PackageArchitecture: all
SourcePackage: hyphen
Title: package openoffice.org-hyphenation-en-us None [modified: /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to install/upgrade: trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation
Uname: Linux tomarus-desktop 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux

tomarus (brewer-neil) wrote :
Vikrant (vikrant82) wrote :

Confirms on, hardy on latest updates on 15th Feb 2008 on

- Linux Kx-VMZ 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45 UTC 2008 i686 GNU/Linux

Shawn vega (svega85-gmail) wrote :

i'm confirming this bug because i have the same problem

Changed in hyphen:
status: New → Confirmed

Same here

warmrobot (imfrolov) wrote :

I have the same bug

Andris Sprūds (aspruds) wrote :

I'm having this bug as well.

deniseseibeld (deniseanna) wrote :

all of my computer are reporting this error

Iulian Udrea (iulian) wrote :

Thank you for your bug report. This bug is well known. No need to confirm this anymore.

Changed in hyphen:
importance: Undecided → Low
Luca Carrogu (motoplux) wrote :

This is a duplicated bug of #179109

warmrobot (imfrolov) wrote :

The solution of Anton V. works fine

Changed in hyphen:
importance: Low → High
crudolphy (chuck-ccrudolphy) wrote :

The solution of Anton V. worked for me also.

The solution Anton V. suggested worked for me as well!

Kent Seaton (spr0k3t) wrote :

Thanks for the link Anton V. The replacement deb fixed it here as well.

The solution of Anton V. worked for me also!
Thanks

Claude Gagné (miltiad) wrote :

Anton V. solution worked for me too

André Gondim (andregondim) wrote :

I did what Anton V. said and worked for me too.

I saw a suggest to do this:

apt-get install package-name -o DPkg::options::="--force-overwrite"

Like someone put in my blog:
http://en.andregondim.eti.br/?p=11

Hugs!! ;)

salpiche (salpiche) wrote :

Yeah I did it as well and it worked just fine

On Feb 17, 2008 1:11 PM, André Gondim <email address hidden> wrote:

> I did what Anton V. said and worked for me too.
>
> I saw a suggest to do this:
>
> apt-get install package-name -o DPkg::options::="--force-overwrite"
>
> Like someone put in my blog:
> http://en.andregondim.eti.br/?p=11
>
> Hugs!! ;)
>
> --
> package openoffice.org-hyphenation-en-us None [modified:
> /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to
> install/upgrade: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package
> openoffice.org-hyphenation
> https://bugs.launchpad.net/bugs/192310
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Benjamin Pineau (ben-pineau) wrote :

A simple:
dpkg --force-overwrite -i /var/cache/apt/archives/openoffice.org-hyphenation-en-us_2.3-5_all.deb
and then apt-get -f dist-upgrade, then everything went well.

Iandefor (iandefor) wrote :

Comment #4 over on this post on Andre Gondim's blog should also do the trick, fwiw:

http://en.andregondim.eti.br/?p=11

For the link-impatient:

apt-get install package-name -o DPkg::options::="--force-overwrite"

Martin-Éric Racine (q-funk) wrote :

Actually, forcing an overwrite should be avoided.

What's instead needed is to release new versions of both openoffice.org-hyphenation-en-us and openoffice.org-hyphenation that have a versioned conflict.

Miguel Ruiz (mruiz) wrote :

Confirmed issue on Ubuntu Hardy 8.04 , up to date.

As Martin said, the best solution is to fix the package instead of apply dpkg tricky stuff ;-)

Cheers!

cumulus007 (cumulus-007) wrote :

Same bug here. How to fix it?

TrXuk (matt-matt-j) wrote :

Confirming this issue on upgrade from 7.10 to 8.04A4

As stated above, probably best to fix the package :)

Rominet7777 (fred-schaer) wrote :

It is actually much much better to fix the package, I agree : I'm actually unable to install hardy because of this conflict (well, I'm going to try not to download updates, to see if it helps...).
Grub fails to install, and so do (m)any other debs, apparently. I'm glad I'm trying that install in a virtual host...

austin (bang-a-rang) wrote :

I was also encountering this issue I went with Benjamin Pineau 's solution.

The problem is that this package (unlike all other openoffice.org-hyphenation-* packages) doesn't provide openoffice.org-hyphenation.

The attached debdiff fixes this problem.
I've also fixed bug 192914 (adding one "g" to the package description).

Martin-Éric Racine (q-funk) wrote :

Well, no. actually, the problem is that until now, Ubuntu provided hyphenations for all languages in a single package, but recent builds of OpenOffice also produce a standalone package. The cure is to remove the English hyphenation pattern from the one-size package and release a new version.

But as I see it, shouldn't it also provide the openoffice.org-hyphenation like the rest of the packages? A number of packages depends on openoffice.org-hyphenation in the sense that just some kind of openoffice.org-hyphenation* should be installed.

passun (passun) wrote :

I just fixed this problem.
sudo dpkg --force-all -i /var/cache/apt/archives/openoffice.org-hyphenation-en-us_2.3-5_all.deb
sudo dpkg --force-all -i /var/cache/apt/archives/openoffice.org-hyphenation_0.2_all.deb

Steve Kowalik (stevenk) wrote :

Running dpkg --force-all does not fix the problem, only works around it. Suggesting it is a fix is incorrect.

Martin-Éric Racine (q-funk) wrote :

No, they all depended on openoffice.org-hyphenation, because all
hyphenation patterns used to be bundled together and now they are
separate. Those writing aid metapackages need to have their
dependencies updated to depend upon openoffice.org-hyphenation-* for
their specific language.

On 2/18/08, awen <email address hidden> wrote:
> But as I see it, shouldn't it also provide the openoffice.org-
> hyphenation like the rest of the packages? A number of packages depends
> on openoffice.org-hyphenation in the sense that just some kind of
> openoffice.org-hyphenation* should be installed.

--
Martin-Éric Racine
http://q-funk.iki.fi

I see. Thanks for clearing that up, Martin-Éric.

So the fix, as I understand it, is:
- We should remove the en_US hyphenation from openoffice.org-hyphenation.
- openoffice.org-hyphenation-en-us should provide openoffice.org-hyphenation-en

I'll attach a fix for both.

Martin-Éric Racine (q-funk) wrote :

Actually, openoffice.org-hyphenation needs to be removed from the archive and all the language support metapackages must be updated.

For the English support language, it means depending upon openoffice.org-hyphenation-en-us and openoffice.org-hyphenation-en-gb rather than on the generic openoffice.org-hyphenation that previously contained all languages.

Other language support packages also need to have their dependencies updated in a similar way.

There is still a number of language-packages, that is only avaible through openoffice.org-hyphenation.
Should openoffice.org-hyphenation build a number of packages openoffice.org-hyphenation-*, or should the source itself be split up?

So a solution could be:
* openoffice.org-hyphenation
  - removed and split into different openoffice.org-hyphenation-xx(-yy)
  - all openoffice.org-hyphenation-xx-yy packages made should provide openoffice.org-hyphenation-xx
* openoffice.org-hyphenation-en-us
  - provides openoffice.org-hyphenation-en
* All current openoffice.org-hyphenation-xx
  - Check that none of them provides openoffice.org-hyphenation
* All packages with rdepends on openoffice.org-hyphenation
  - Find something else to rdepend on

This still leaves out two questions to me:
1. Should openoffice.org-hyphenation be removed completely now leaving a lot of packages with broken depends?
2. What do we do with openoffice.org-core that atm depends on openoffice.org-hyphenation?

Due to todays update this bug seems to be there again -.-

Confirmed.

boyevil (boyevil) wrote :

its confirmed like a Don King Perm

On Fri, Feb 29, 2008 at 8:35 AM, Richard J. Korman <email address hidden>
wrote:

> Confirmed.
>
> --
> package openoffice.org-hyphenation-en-us None [modified:
> /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to
> install/upgrade: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package
> openoffice.org-hyphenation
> https://bugs.launchpad.net/bugs/192310
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "hyphen" in Ubuntu: Confirmed
> Status in Source Package "openoffice.org-hyphenation" in Ubuntu: New
>
> Bug description:
> ran system update and package will not install or fix using apt-get in
> terminal.
>
> ProblemType: Package
> Architecture: i386
> Date: Fri Feb 15 23:03:00 2008
> Dependencies:
>
> DistroRelease: Ubuntu 8.04
> ErrorMessage: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package
> openoffice.org-hyphenation
> Package: openoffice.org-hyphenation-en-us None [modified:
> /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list]
> PackageArchitecture: all
> SourcePackage: hyphen
> Title: package openoffice.org-hyphenation-en-us None [modified:
> /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to
> install/upgrade: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package
> openoffice.org-hyphenation
> Uname: Linux tomarus-desktop 2.6.24-8-generic #1 SMP Thu Feb 14 20:40:45
> UTC 2008 i686 GNU/Linux
>

--
yuh mahmuh

Problem has never been solved. You just noticed the error again because of the update.

Unfortunately some restructuring of the openoffice.org-hyphenation-* packages is needed to fix this; I've been in contact with one from the openoffice.org team (calc), and he is coordinating with the debian maintainer.

Confirmed. Due to todays update.

> Do you want to continue [Y/n]? Y
> (Reading database ... 107584 files and directories currently installed.)
> Unpacking openoffice.org-hyphenation-en-us (from .../openoffice.org-hyphenation-en-us_2.3.1-1_all.deb) ...
> dpkg: error processing /var/cache/apt/archives/openoffice.org-hyphenation-en-us_2.3.1-1_all.deb (--unpack):
 > trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation
> Errors were encountered while processing:
> /var/cache/apt/archives/openoffice.org-hyphenation-en-us_2.3.1-1_all.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)

Patrik Schönfeldt (bauer87) wrote :

I removed openoffice.org-hyphenation via "dpkg -r openoffice.org-hyphenation" (this does not remove dependencies) and then installed openoffice.org-hyphenation-en-us. I guess that openoffice.org-hyphenation-en-us is a replacement for openoffice.org-hyphenation with wrong dependency settings.

tech0007 (tech0007) wrote :

Has this been resolved yet?

Mackenzie Morgan (maco.m) wrote :

No. You'll know it's resolved when you can update again. There's no need to ask.

tech0007 (tech0007) wrote :

great!

problem resolved . thanks

> From: <email address hidden>
> To: <email address hidden>
> Date: Sat, 1 Mar 2008 08:11:42 +0000
> Subject: [Bug 192310] Re: package openoffice.org-hyphenation-en-us None [modified: /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to install/upgrade: trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation
>
> No. You'll know it's resolved when you can update again. There's no
> need to ask.
>
> --
> package openoffice.org-hyphenation-en-us None [modified: /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to install/upgrade: trying to overwrite `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package openoffice.org-hyphenation
> https://bugs.launchpad.net/bugs/192310
> You received this bug notification because you are a direct subscriber
> of the bug.

filippo.g (filippo-genovese) wrote :

confirm the problem

Removed the package and reinstalled. It worked for me.
--- "filippo.g" <email address hidden> wrote:

> confirm the problem
>
> --
> package openoffice.org-hyphenation-en-us None
> [modified:
>
/var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list]
> failed to install/upgrade: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is
> also in package openoffice.org-hyphenation
> https://bugs.launchpad.net/bugs/192310
> You received this bug notification because you are a
> direct subscriber
> of the bug.
>

i followed solution provided by anton v and it worked fine
here it goes....

wget http://debian.mirror.inra.fr/debian/pool/main/h/hyphen/openoffice.org-hyphenation-en-us_2.3-5_all.deb

sudo dpkg --force-all -i openoffice.org-hyphenation-en-us_2.3-5_all.deb

that's it!
now run the update manager again and the problem is gone!

Richard O. Hunt (r-o-hunt) wrote :

anton v solution worked for me as well

thanks

Steve Dougherty (sdough) wrote :

Confirming. Above solution fixed this problem for me.

Carl Karsten (carlfk) wrote :

Instead of using the .deb from http://debian.mirror..., I used this one:

wget http://archive.ubuntu.com/ubuntu/pool/universe/h/hyphen/openoffice.org-hyphenation-en-us_2.3.1-1_all.deb
sudo dpkg --force-all -i (that file)
do-release-upgrade --devel-release

"System upgrade is complete."

Well solved:
http://ubuntuforums.org/showpost.php?p=4339831&postcount=4

and System upgrade is complete.

thecure (keith-k) wrote :

None of the solutions listed for me.

thecure (keith-k) wrote :

That is to say none of the solutions worked for me.

Carl Karsten (carlfk) wrote :

seems to be fixed.
do-release-upgrade -d just finished without any workaround steps.

mån 2008-03-03 klockan 18:26 +0000 skrev Carl Karsten:
> seems to be fixed.
> do-release-upgrade -d just finished without any workaround steps.

Confirmed, this seems to be fixed for me as well.

vol (lutz-volker) wrote :

I had to use Carl Karstensen solution (and server).

After that, everything seems OK.

Steve Langasek (vorlon) on 2008-03-03
Changed in hyphen:
milestone: none → hardy-alpha-6
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hyphen - 2.3.1-1ubuntu1

---------------
hyphen (2.3.1-1ubuntu1) hardy; urgency=low

  * Conflicts, Replaces, Provides openoffice.org-hyphenation, since both
    packages currently contain /usr/share/myspell/dicts/hyph_en_US.dic.
    This should be revisited and made a versioned Conflicts/Replaces if
    and when hyphen is promoted to main and openoffice.org-hyphenation
    stops providing the en_US dictionary. LP: #192310.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Steve Langasek <email address hidden> Mon, 03 Mar 2008 20:12:11 +0000

Changed in hyphen:
status: Confirmed → Fix Released

Will not boot just a blank screen after restart
I have to fortmat the hard drive and reinstall after that It up date Ok
Thanks for all the help.
On Sun, Mar 2, 2008 at 5:20 PM, Mr. Bunny <email address hidden> wrote:

> Confirming. Above solution fixed this problem for me.
>
> --
> package openoffice.org-hyphenation-en-us None [modified:
> /var/lib/dpkg/info/openoffice.org-hyphenation-en-us.list] failed to
> install/upgrade: trying to overwrite
> `/usr/share/myspell/dicts/hyph_en_US.dic', which is also in package
> openoffice.org-hyphenation
> https://bugs.launchpad.net/bugs/192310
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Please trim your text before posting.
I saw a similar problem, I booted with an older kernel, ran upgrade again and it works fine now.

Ok Duncan, first is not my text - it's the proposal that bug report tool
offer me.

I think was OK on his way.

Second - It's about a Metabug ( yes " ...which is also in package
***..." is a metabug which require a final resolution, I'll speak about
that later on this mail), so I'm not reporting about my problem. I'm not
asking for help ...regarding your solution, I can do that without fill
in bug reports - but this is not the proper solution. Imagine mr. Duncan
  you tell that to a beginner - he will ask you beck probably what is
...kernel.

So my report is there in hope is be useful for something.

Now about the metabug -> is present from first Ubuntu.

Maybe a packager does something wrong.

But is not OK for peoples to see this bug too often.

And this is happening almost each week for a package or 2. Is not an
Open Office error.

Is a decision to take => so if the same package is there = we should
interrupt the upgrade process ? - what if our program take count on the
library presence and continue upgrade process ( if is THE SAME library
what's the real problem ? - do not copy the file but give to installer
option TRUE when he check paths and libraries - so the upgrade process
can continue). OR if is the same file -> OVERWRITE THE FILE and GO ON (
you can check the file version using checksum, numbering system, file
length, etc ) - BUT NOT BROKE A PROCESS BECAUSE ONE OF THE NECESSARY
FILES IS ALREADY THERE.

This is my message and please take count on that.

About the specific part of the bug - I can delete the file from it's
location and from dpkg index so after that Upgrade will work OK - no
necessary to upgrade my kernel ( which may work or not ...).

Regards,
Sorin

Duncan Lithgow wrote:
> Please trim your text before posting.
> I saw a similar problem, I booted with an older kernel, ran upgrade again and it works fine now.
>

Steve Langasek (vorlon) wrote :

Folks,

This bug is not about kernel issues, and it's been fixed in hardy. Please try to upgrade to the most recent version of the affected packages; there should be no need to follow up to this bug report unless you are still having problems upgrading the named package.

Sorin, you are mistaken about this not being an OpenOffice.org bug. It is; the packaging system's behavior when two packages have conflicting files is not spurious, it is a carefully considered design decision which is crucial to the reliability of the running system. File overlaps unfortunately do happen from time to time in development releases, but these are always bugs in the packages in question that need to be resolved before we release - and we have a report that helps us identify file conflicts so we can do exactly that. Silently overwriting files is not a sound practice, because the files are almost always not the same, so overwriting them would make for even worse bugs.

Nemes Ioan Sorin (nemes-sorin) wrote :
Download full text (3.2 KiB)

ok Steve,

U tell us " ...Silently overwriting files is not a sound practice,
because the files are almost always not the same, so overwriting them
would make for even worse bugs."

I agree is not a good practice to silently kill non convenient output
-but- and is a BIG but which in many cases is not considered .. is to
obvious, let's talk a bit about this bug on the last 2 months ... in 99%
of last cases ( as on my experience ) was the same file name and version.

If you read carefully what I wrote there about file control ( there are
few methods - including parsing file content [as brute force] ) you can
realize that must be not so hard to find a method to see if is the same
file with the same content - OR not.

Now - if is the same file - the same content - I don't see the reason to
not overwrite. ????

So I not recommend that as a best practice - but if we have an evidence
- why we should stuck on the problem instead of going forward.

Now the second point. If is not the same file -> User can choose what to
do. OR if we don't consider here so smart users - then a rule (or more)
must be defined ( regarding the same filename => to keep the bigger
version / to keep the larger file / or some... ).

Enfin - this can be good for both parts - for the distro and for the
independent programmer. If you made a program distributed by others you
will enjoy idea to put a RULE file on your package - that can be
interpreted by the mister "Update Manager" - to see what he can do in
any case. It's about a simple file where -> case 1 -> do that, case 2 ->
overwrite, case 3 -> delete older file put the newest, case 4 -> phone
home ...etc.

That's the point - not to ignore this bug ( is too often repeated,
search bug reports from the last 2 years ...). So please consider a
possible solution eventually ONLY for the case where we have SAME
VERSION - SAME NAME - SAME CONTENT ( generally python scripts from
different sources put the same files in site).

An we just walk forward a bit.

..On my opinion of course.

Anyway, that's my message -> from time to time is good to go somewhere
on a higher point to see what's here down -> just to not forget the big
picture.

Steve Langasek wrote:
> Folks,
>
> This bug is not about kernel issues, and it's been fixed in hardy.
> Please try to upgrade to the most recent version of the affected
> packages; there should be no need to follow up to this bug report unless
> you are still having problems upgrading the named package.
>
> Sorin, you are mistaken about this not being an OpenOffice.org bug. It
> is; the packaging system's behavior when two packages have conflicting
> files is not spurious, it is a carefully considered design decision
> which is crucial to the reliability of the running system. File
> overlaps unfortunately do happen from time to time in development
> releases, but these are always bugs in the packages in question that
> need to be resolved before we release - and we have a report that helps
> us identify file conflicts so we can do exactly that. Silently
> overwriting files is not a sound practice, because the files are almost
> always not the same, so overwriting them w...

Read more...

Noel J. Bergman (noeljb) wrote :

> find a method to see if is the same file with the same content

That would be one thing, which could result in a warning, rather tha a fatal error. Another option would be to reduce the far too many dependencies on these OpenOffice packages. I don't use OpenOffice, and was really surprised when I decided to remove the offending packages just how deep the dependencies have gotten. And, lastly, it shouldn't be the case that an error with some largely insignificant package prevents users from installing other, certainly more critical, and totally unrelated packages, unless the users happen to have deeper skills than the average user.

nandemonai (junin-toiro) wrote :

The solution from Anton V. worked for me also but now when I'm trying to update a few days later I'm getting the message:

The following packages have been kept back:
openoffice.org-hyphenation-en-us

Updates are otherwise working.

Sorin, Noel.

1. Please take this discussion to the forums, or file a bug against dpkg

2. If you're not prepared to face packaging bugs, please don't use
Hardy.

3. What you see is the packaging system *working*. The purpose of the
errors is to make sure no such issues exist in a *released* version of
the system (while retaining system sanity). See point 2 above.
End Of Thread

/Mikael

tis 2008-03-04 klockan 21:08 +0000 skrev Noel J. Bergman:
> > find a method to see if is the same file with the same content
>
> That would be one thing, which could result in a warning, rather tha a
> fatal error. Another option would be to reduce the far too many
> dependencies on these OpenOffice packages. I don't use OpenOffice, and
> was really surprised when I decided to remove the offending packages
> just how deep the dependencies have gotten. And, lastly, it shouldn't
> be the case that an error with some largely insignificant package
> prevents users from installing other, certainly more critical, and
> totally unrelated packages, unless the users happen to have deeper
> skills than the average user.
>
--
<email address hidden>

Plus ça change, plus c'est la même chose

Matthias Metzger (macellarius) wrote :

nandemonai, I'm encountering exactly the same problem when updating. The package is kept back.
And installing it manually causes this bug:
https://bugs.launchpad.net/ubuntu/+source/openoffice.org-hyphenation/+bug/198315

nandemonai (junin-toiro) wrote :

Hmm, it's getting worse now..

The following packages have been kept back:
  openoffice.org openoffice.org-base openoffice.org-base-core
  openoffice.org-calc openoffice.org-common openoffice.org-core
  openoffice.org-draw openoffice.org-evolution openoffice.org-filter-binfilter
  openoffice.org-gnome openoffice.org-gtk openoffice.org-hyphenation-en-us
  openoffice.org-impress openoffice.org-math openoffice.org-officebean
  openoffice.org-style-human openoffice.org-writer python-uno
0 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.

I had anticipated this happening with manually installing openoffice.org-hyphenation-en-us but I'm not too sure where to go from here.

Gert Kulyk (gkulyk) wrote :

openoffice.org-hyphenation-en-us is in universe, provided by the hyphen package which some day (but as it seems not for hardy) will make it as the default for providing en-us-hyphenation-package. For now the package openoffice.org-hyphenation is doing the job, so get rid of openoffice.org-hyphenation-en-us for now and install the openoffice.org-hyphenation-package.

André Gondim (andregondim) wrote :

One good way to solve this is:

sudo aptitude install openoffice.org-hyphenation-en-us -o DPkg::options::="--force-overwrite"

OK Mikael, no problem form me.

But what I said wrong ?? to deserve such a reply =>

"
2. If you're not prepared to face packaging bugs, please don't use
Hardy.
"
??

We discuss about something here - we don't kill anyone. If we wrong -
please tell us in 3 words -> guys the real meaning of those procedures
are X. Not Y. Over. All peoples understand - we are all mature I supose.
This must be the way IF someone do something wrong.

The benefit === no one upset.
Else this method can put away some (maybe good) peoples. Point.

Also this is a large discussion about
reporting system - how it works - how can be better.

But because is off topic now and is not a 5 letter story- I will send
you a proposal(regarding reporting system - because U see, a lot of
peoples thing too different about a simple thing[packaging bugs for
example], so maybe is better to know all(reporters) at least a minimum
of 3 rules, with things desired by dev. team what they expect / what
they don't need to see, etc ) using your personal e-mail.

If you will find there something useful, maybe we change in better a
millimeter of this problem, else ...no one was sent in Mars because of a
single mail.

{ Final here }.

Mikael Nilsson wrote:
> Sorin, Noel.
>
> 1. Please take this discussion to the forums, or file a bug against dpkg
>
> 2. If you're not prepared to face packaging bugs, please don't use
> Hardy.
>
> 3. What you see is the packaging system *working*. The purpose of the
> errors is to make sure no such issues exist in a *released* version of
> the system (while retaining system sanity). See point 2 above.
> End Of Thread
>
> /Mikael
>
> tis 2008-03-04 klockan 21:08 +0000 skrev Noel J. Bergman:
>>> find a method to see if is the same file with the same content
>> That would be one thing, which could result in a warning, rather tha a
>> fatal error. Another option would be to reduce the far too many
>> dependencies on these OpenOffice packages. I don't use OpenOffice, and
>> was really surprised when I decided to remove the offending packages
>> just how deep the dependencies have gotten. And, lastly, it shouldn't
>> be the case that an error with some largely insignificant package
>> prevents users from installing other, certainly more critical, and
>> totally unrelated packages, unless the users happen to have deeper
>> skills than the average user.
>>

Noel J. Bergman (noeljb) wrote :

> what I said wrong ?? to deserve such a reply =>

Some people have too much time on their hands, and like to play netiquette cop. With the caveat that it is good to keep bug reports on topic, just ignore him.

ons 2008-03-05 klockan 20:09 +0000 skrev Nemes Ioan Sorin:
> OK Mikael, no problem form me.
>
> But what I said wrong ?? to deserve such a reply =>
>

I really didn't mean to be harsh - my sincere apologies if it came
across that way.

> "
> 2. If you're not prepared to face packaging bugs, please don't use
> Hardy.
> "
> ??

My point is that these bugs should only happen for development releases.
Ordinary users should *never*, *ever* see a bug like this. And I believe
Steve mentioned automatic reports that are there to ensure that this
indeed never happens for released versions of Ubuntu.

> We discuss about something here - we don't kill anyone. If we wrong -
> please tell us in 3 words -> guys the real meaning of those procedures
> are X. Not Y. Over. All peoples understand - we are all mature I supose.
> This must be the way IF someone do something wrong.

Ok, here is the breakdown.

Assumption: A file that exists in two packages that do not Conflicts:
(according to the package metadata) with each other is a packaging bug.

Given the above, the problems reported by dpkg are there to highlight
the fact that there is a packaging bug. The bug gets reported and fixed
before release of Hardy in this case. All is well, and this is what i
happening here - normal procedure.

So, can we question this assumption? Your alternative is to handle file
conflicts at runtime.

Let's assume there is a library, /usr/lib/libquicktime.so.1.0.0.

Let's assume that this library is part of several packages.
libquicktime1 (naturally), mplayer and xine. All have the same version
of the library, and all are installed. What should happen when
libquicktime is updated? All other packages containing this file need to
be updated. Alternatively, if the upgrade is allowed even though the
file is not identical, what happens if you install vlc, with the old
version again? Maybe all programs stop working, maybe the old version
contains a security vulnerability, etc etc.

Maintaining this would be a *complete* nightmare, and severely decrease
the quality of the distribution.

In fact, I would argue that allowing this would be similar to making the
gcc compiler not produce compiler errors, but instead try to guess the
intent of the programmer and silently "fix bugs". The result would of
course be even more bugs and a complete maintenance nightmare.

The same file in two non-conflicting packages is a bug that needs to be
fixed, and a sign of a working packaging system, end of story.

/Mikael

--
<email address hidden>

Plus ça change, plus c'est la même chose

Daniel Holbach (dholbach) wrote :

Chris Cheney: could you please take a look at it if there's anything left to do?

I can see this is marked fix-released. For me my system is running fine again after I followed one of the suggested workarounds (not a --force). My only problem now is that the package always shows in the 'Update Manager' and unmarkable. It isn't under any heading so I don't know if it's being held back or if there is still something wrong.

@Duncan:
Do you have openoffice.org-hyphenation installed also?
A conflicts has been added between openoffice.org-hyphenation-en-us and openoffice.org-hyphenation. So if you have it installed, this will not upgrade.

i solved that problem with:

sudo apt-get remove openoffice.org-hyphenation-en-us

miked (miked11) wrote :

root@tower-desktop:~# sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  openoffice.org-hyphenation-en-us
0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
root@tower-desktop:~#

miked: thanks for trying to contribute to this issue, but please don't post little pieces from the command line without any comment. The problem you are seeing is explained and solved if you read this bug. Simply uninstall that package as shown in the comment before yours.

Matthias Metzger (macellarius) wrote :

Notice: After removing the openoffice.org-hyphenation-en-us package, I had to reinstall the openoffice.org-hyphenation package (sudo apt-get install --reinstall openoffice.org-hyphenation) to get the en-us hyphenation pattern installed.

miked (miked11) wrote :

Ubuntu Hardy Heron 8.04 Beta 1?
Thanks. looks like it is happy now, close bug as related to me.

root@tower-desktop:~# sudo apt-get remove openoffice.org-hyphenation-en-us
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-headers-2.6.24-11-generic libschroedinger-0.9-0 linux-headers-2.6.24-10-generic linux-headers-2.6.24-10 linux-headers-2.6.24-11 libntfs-3g16
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
  openoffice.org-hyphenation-en-us
0 upgraded, 0 newly installed, 1 to remove and 20 not upgraded.
After this operation, 127kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 230997 files and directories currently installed.)
Removing openoffice.org-hyphenation-en-us ...
Updating OpenOffice.org's dictionary list... done.
root@tower-desktop:~# sudo apt-get install --reinstall openoffice.org-hyphenation
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-headers-2.6.24-11-generic libschroedinger-0.9-0 linux-headers-2.6.24-10-generic linux-headers-2.6.24-10 linux-headers-2.6.24-11 libntfs-3g16
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 20 not upgraded.
Need to get 384kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://archive.ubuntu.com hardy/main openoffice.org-hyphenation 0.2 [384kB]
Fetched 384kB in 3s (111kB/s)
(Reading database ... 230993 files and directories currently installed.)
Preparing to replace openoffice.org-hyphenation 0.2 (using .../openoffice.org-hyphenation_0.2_all.deb) ...
Unpacking replacement openoffice.org-hyphenation ...
Setting up openoffice.org-hyphenation (0.2) ...
Updating OpenOffice.org's dictionary list... done.

root@tower-desktop:~#
root@tower-desktop:~# sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@tower-desktop:~#

Daniel Holbach (dholbach) wrote :

Is there still a patch that needs uploading?

@Daniel
AFAIK, no. The two packages containing the same file now conflicts. Until src:hyphen enters main this is the best we can do.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org-hyphenation - 0.3

---------------
openoffice.org-hyphenation (0.3) hardy; urgency=low

  * Removed hyph_en_US.dic since it is in openoffice.org-hyphenation-en-us.
    Close LP: #192310
  * Removed hyph_it_IT.dic and hyph_sl_SI.dic since they are in
    openoffice.org-dictionaries. Closes LP: #210437
  * Updated hyph_de_CH.dic to newer version.

 -- Chris Cheney <email address hidden> Tue, 08 Apr 2008 01:21:08 -0500

Changed in openoffice.org-hyphenation:
status: New → Fix Released
Steve Langasek (vorlon) wrote :

This is a wrong fix. Removing hyph_en_US.dic from openoffice.org-hyphenation means that this hyphenation dictionary is no longer available in main.

Please revert this change until and unless hyphen is promoted to main.

Changed in openoffice.org-hyphenation:
status: Fix Released → New
assignee: nobody → ccheney
importance: Undecided → High
André Gondim (andregondim) wrote :

At RC does have this problem, I am marking this like solved problem.

Changed in openoffice.org-hyphenation:
assignee: ccheney → nobody
status: New → Fix Released
Steve Langasek (vorlon) wrote :

this is still a bug that should be attended to for intrepid, so we can reduce duplication overall and bring hyphen into main.

Changed in openoffice.org-hyphenation:
assignee: nobody → ccheney
milestone: none → later
status: Fix Released → Confirmed
Chris Cheney (ccheney) wrote :

hyphen is in main now.

Changed in openoffice.org-hyphenation:
status: Confirmed → Fix Released
milestone: later → none
Iuri Diniz (iuridiniz) wrote :

Is it the same of
https://bugs.launchpad.net/openoffice/+bug/274556
?

I marked it (#2745556) as duplicate

bumva (martinkezo) on 2008-11-29
Changed in openoffice.org-hyphenation:
status: Fix Released → New
Steve Langasek (vorlon) on 2008-12-01
Changed in openoffice.org-hyphenation:
status: New → Fix Released
To post a comment you must log in.